package be.iminds.ilabt.jfed.restapi.client;

import be.iminds.ilabt.jfed.util.JFedTrustStore;
import be.iminds.ilabt.util.jsonld.iface.JsonLdObject;
import org.apache.http.client.utils.URIBuilder;

import java.security.PrivateKey;
import java.security.cert.X509Certificate;
import java.util.List;

/**
 * FedmonWebApiClientConfig
 */
public interface JFedRestApiClientConfig {
    URIBuilder getUriBuilder(Class<? extends JsonLdObject> objectClass, boolean read);

    URIBuilder getUriBuilder(Class<? extends JsonLdObject> objectClass, String pathEnd, boolean read);

    JFedTrustStore getTrustStore();
    List<X509Certificate> getUserCertificateChain();
    PrivateKey getUserPrivateKey();
}
